## Class TCompositeLiteral

Description

Implements interfaces:

- IRenderable
- IBindable

TCompositeLiteral class

TCompositeLiteral is used internally by TTemplate for representing consecutive static strings, expressions and statements.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 2291)

    TComponent
       |
       --TCompositeLiteral

Class Constant Summary
TYPE_DATABINDING = 2
TYPE_EXPRESSION = 0
TYPE_STATEMENTS = 1
Method Summary
TCompositeLiteral __construct (array $items)
void dataBind ()
void evaluateDynamicContent ()
TComponent getContainer ()
void render (ITextWriter $writer)
void setContainer (TComponent $value)
Methods
Constructor __construct (line 2306)

Constructor.

- access: public

TCompositeLiteral __construct (array $items)

- array $items: list of items to be represented by TCompositeLiteral

dataBind (line 2360)

Performs databindings.

This method is required by IBindable

- access: public

void dataBind ()
evaluateDynamicContent (line 2347)

Evaluates the expressions and/or statements in the component.

- access: public

void evaluateDynamicContent ()
getContainer (line 2331)

- return: container of this component. It serves as the evaluation context of expressions and statements.
- access: public

TComponent getContainer ()
render (line 2372)

Renders the content stored in this component.

This method is required by IRenderable

- access: public

void render (ITextWriter $writer)

- ITextWriter $writer

setContainer (line 2339)

- access: public

void setContainer (TComponent $value)

- TComponent $value: container of this component. It serves as the evaluation context of expressions and statements.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
TYPE_DATABINDING = 2 (line 2295)
TYPE_EXPRESSION = 0 (line 2293)
TYPE_STATEMENTS = 1 (line 2294)

Documentation generated on Mon, 21 Apr 2008 11:34:08 -0400 by phpDocumentor 1.3.0RC4